/*
	Code generation for the following grammar segment:
	
	AllocationExpression :=
		  "new" PrimitiveType() ArrayDimsAndInits()
		| "new" Name() (ArrayDimsAndInits() | (Arguments() [BehaviorBody()]))
*/	
	
package salsac.definitions;

import salsac.*;

public class AllocationExpression extends SimpleNode {

	public AllocationExpression(int id) 					{ super(id); }
	public AllocationExpression(SalsaParser p, int id)	{ super(p, id); }

	public String getJavaCode() {
		return "new " + getChildCode();
	}
}